#ifndef EVENT_H
#define EVENT_H

#include <string>

// OpenNI lib
#include <XnOpenNI.h>
#include <XnCodecIDs.h>
#include <XnCppWrapper.h>

#include "headlistener.h"

void XN_CALLBACK_TYPE User_NewUser(xn::UserGenerator& generator, XnUserID nId,
    void* pCookie);
    
void XN_CALLBACK_TYPE User_LostUser(xn::UserGenerator& generator, XnUserID nId,
    void* pCookie);
    
void XN_CALLBACK_TYPE UserPose_PoseDetected(
    xn::PoseDetectionCapability& capability, const XnChar* strPose,
    XnUserID nId, void* pCookie);
    
void XN_CALLBACK_TYPE UserCalibration_CalibrationStart(
    xn::SkeletonCapability& capability, XnUserID nId, void* pCookie);
    
void XN_CALLBACK_TYPE UserCalibration_CalibrationEnd(
    xn::SkeletonCapability& capability, XnUserID nId, XnBool bSuccess,
    void* pCookie);
        
  
class Event {
 public:
  Event(std::string xml_conf);
  //void start();
  void setListener(HeadListener* l);
  void eventMainLoop(Drawer* drawer);
  void update();
  ~Event();
 private:
  void headTracker();
  HeadListener* _listener;
};
#endif
