#ifndef HEADLISTENER_H
#define HEADLISTENER_H

/**
 * Interface to listen the state of the sensor about
 * calibration and about head position
 */
class HeadListener {
 public:
  /**
   * Send a message about calibration state
   * @param msg the message to be send
   */
  virtual void writeMsg(std::string msg) = 0;
  
  /**
   * Send information about the position of the head
   * @param x x position of the head
   * @param y y position of the head
   * @param z z position of the head
   */
  virtual void headMoved(float x, float y, float z) = 0;
  
};

#endif
